> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get balances for an account

> Retrieve current asset balances for a specific connected account as a flat list (one row per `assetId`, `balanceType`).

**Note:** This endpoint is currently in beta and might be subject to changes.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /connected_accounts/{accountId}/balances
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /connected_accounts/{accountId}/balances:
    get:
      tags:
        - Connected Accounts (Beta)
      summary: Get balances for an account
      description: >
        Retrieve current asset balances for a specific connected account as a
        flat list (one row per `assetId`, `balanceType`).


        **Note:** This endpoint is currently in beta and might be subject to
        changes.
      operationId: getConnectedAccountBalances
      parameters:
        - name: accountId
          in: path
          required: true
          description: The ID of the account to fetch balances for.
          schema:
            type: string
            minLength: 1
        - name: pageSize
          in: query
          required: false
          description: Page size for pagination.
          schema:
            type: integer
            minimum: 1
            maximum: 1000
        - name: pageCursor
          in: query
          required: false
          description: Page cursor for pagination.
          schema:
            type: string
      responses:
        '200':
          description: Account balances response
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectedAccountBalancesResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<ConnectedAccountBalancesResponse>> =
            fireblocks.connectedAccountsBeta.getConnectedAccountBalances(connectedAccountsBetaApiGetConnectedAccountBalancesRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<ConnectedAccountBalancesResponse>>
            response =
            fireblocks.connectedAccountsBeta().getConnectedAccountBalances(accountId,
            pageSize, pageCursor);
        - lang: Python
          source: >-
            response =
            fireblocks.connected_accounts_beta.get_connected_account_balances(account_id,
            page_size, page_cursor);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    ConnectedAccountBalancesResponse:
      type: object
      properties:
        data:
          type: array
          description: >-
            Flat balance row for a single asset within an account and wallet
            type. One row per (assetId, balanceType).
          items:
            $ref: '#/components/schemas/ConnectedAccountBalances'
          example:
            - assetId: BTC
              availableAmount: '100.00'
              totalAmount: '120.00'
              balanceType: FUNDING
              balanceName: Trader1 Wallet
        total:
          type: integer
          description: Total number of balance rows by query.
          example: 2
        next:
          type: string
          description: A cursor for the next page of results, if available.
          example: eyJwYWdlIjoyfQ==
      required:
        - data
    ConnectedAccountBalances:
      type: object
      properties:
        assetId:
          type: string
          description: Asset identifier (e.g., BTC, ETH, USDC).
          example: BTC
        availableAmount:
          type: string
          description: Amount available for use.
          example: '100.00'
        totalAmount:
          type: string
          description: Total amount including locked/held balances.
          example: '120.00'
        lockedAmount:
          type: string
          description: Amount currently locked/held.
          example: '20.00'
        creditAmount:
          type: string
          description: Credit line amount, if applicable (0 when not used).
          example: '0'
        balanceType:
          type: string
          description: Wallet type/category (e.g., SPOT, MARGIN, FUNDING).
          example: FUNDING
        balanceName:
          type: string
          description: Display name for the balance type (at the provider)
          example: Trader1 Wallet
      required:
        - assetId
        - availableAmount
        - totalAmount
        - balanceType
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````